#!/bin/sh

DEFAULT_NTP_SERVER="pool.ntp.org"

apply_default_NTP_server()
{
	# Add default NTP server
	NTP_ENABLE=$(/usr/sbin/confclient -p 99 -t Value -g system_updateinterval)
	if [ ${NTP_ENABLE} -eq 0 ]; then
		/usr/sbin/confclient -p 99 -s system_ntp=$1
		/usr/sbin/confclient -p 99 -s system_updateinterval=$2
	fi
}

cd /
ACTION=${1}
case ${ACTION} in
	start)
		apply_default_NTP_server ${DEFAULT_NTP_SERVER} 86400
		;;
esac

cd - > /dev/null
exit 0

